# Caderno Diário Oficial

Para que a biblioteca **docx4j** consiga utilizar as dependências que fazem parte do JDK, será necessário configurar o portal-ext.properties do portal para que as dependências necessárias **não** sejam consideradas como contexto do **OSGi**. 

Segue abaixo a configuração a ser adicionada no portal-ext.properties (o portal precisa ser reiniciado):

```
#Possibilitar uso do javax.xml e com.sun.xml nos portlets
module.framework.properties.org.osgi.framework.bootdelegation=\
        __redirected,\
        com.liferay.aspectj,\
        com.liferay.aspectj.*,\
        com.liferay.expando.kernel.model,\
        com.liferay.portal.servlet.delegate,\
        com.liferay.portal.servlet.delegate*,\
        com.sun.ccpp,\
        com.sun.ccpp.*,\
        com.sun.crypto.*,\
        com.sun.image.*,\
        com.sun.jmx.*,\
        com.sun.jna,\
        com.sun.jndi.*,\
        com.sun.mail.*,\
        com.sun.management.*,\
        com.sun.media.*,\
        com.sun.msv.*,\
        com.sun.org.*,\
        com.sun.syndication,\
        com.sun.tools.*,\
        com.sun.xml,\
        com.sun.xml.*,\
        com.yourkit.*,\
        javax.validation,\
        javax.validation.*,\
        jdk.*,\
        javax.xml,\
        javax.xml.*,\
        sun.*,\
        weblogic.jndi,\
        weblogic.jndi.*,\
        org.w3c,\
        org.w3c.*,\
        org.xml.sax,\
        org.xml.sax.*
```

Caso a configuração não seja aplicada ocorrerá erro como o trecho do stacktrace abaixo, ao executar funcionalidades do **docx4j**:

```
Caused by: java.lang.LinkageError: loader constraint violation: when resolving overridden method "org.docx4j.org.apache.xalan.processor.TransformerFactoryImpl.newXMLFilter(Ljavax/xml/transform/Templates;)Lorg/xml/sax/XMLFilter;" the class loader (instance of org/eclipse/osgi/internal/loader/EquinoxClassLoader) of the current class, org/docx4j/org/apache/xalan/processor/TransformerFactoryImpl, and its superclass loader (instance of <bootloader>), have different Class objects for the type org/xml/sax/XMLFilter used in the signature
 	at java.lang.Class.getDeclaredConstructors0(Native Method)
 	at java.lang.Class.privateGetDeclaredConstructors(Class.java:2671)
 	at java.lang.Class.getConstructor0(Class.java:3075)
 	at java.lang.Class.getConstructor(Class.java:1825)
 	at __redirected.__TransformerFactory.<init>
```
