<%@ include file="/init.jsp" %>

<%
	boolean errArquivo = false;
	boolean errVazio = false;
	boolean errDataNula = false;
	boolean errHorarioLimite = false;
	String cssErro = "control-group error";
	
	if(request.getAttribute("erroArquivo") != null){
		errArquivo = (Boolean) request.getAttribute("erroArquivo");
	}
	if(request.getAttribute("erroVazio") != null){
		errVazio = (Boolean) request.getAttribute("erroVazio");
	}
	if(request.getAttribute("erroDataNula") != null){
		errDataNula = (Boolean) request.getAttribute("erroDataNula");
	}
	if(request.getAttribute("erroHorarioLimite") != null){
		errHorarioLimite = (Boolean) request.getAttribute("erroHorarioLimite");
	}
%>

<liferay-theme:defineObjects />
<portlet:defineObjects />

<liferay-portlet:actionURL var="submitActionURL">
	<liferay-portlet:param name="<%=ActionRequest.ACTION_NAME%>" value='geraCaderno' />
	<liferay-portlet:param name="navigation" value="gerar"/>
	<liferay-portlet:param name="mvcPath" value="/view.jsp"/>
</liferay-portlet:actionURL>

<portlet:renderURL var="viewUrl">
	<portlet:param name="navigation" value="gerar"/>
	<portlet:param name="mvcPath" value="/view.jsp"/>
	<portlet:param name="jspPath" value="/view.jsp"/>
</portlet:renderURL>

<liferay-ui:error key="erroListagemNula" message="No existem matrias cadastradas para os parmetros utilizados." />

<aui:form id="<portlet:namespace />formDO" name="<portlet:namespace />formDO" method="POST" action="<%= submitActionURL%>" data-senna-off="true">

	<div class="sheet sheet-lg" style="margin-top: 24px">

		<liferay-ui:header title="Gerar Caderno"/>
		
		<div style="font-size: 12px; line-height: 12px; color: #A3AFBF; margin-bottom: 15px; margin-top: -10px;"><liferay-ui:message key="*campos obrigatrios"/></div>
		
		<div id="campo-situacao" class="campo">
			<label><liferay-ui:message key="admin.form.editar.situacao"/></label>	
			<div class="form-group">	
				<div style="width: 31%;">
					<aui:select name="situacao" id="situacao" label="">	  				    
				        	<aui:option value="4">Validada</aui:option>
				        	<aui:option value="6">Aprovada</aui:option>
				        	<aui:option value="8">Divulgada</aui:option>		      					      	
				   	</aui:select>
			   	</div>
		   	</div>
			<liferay-ui:error key="erroTipoMat" message="Uma Situao deve ser selecionada." />
		</div>
		
		<div class='campo <%=errDataNula || errHorarioLimite ? cssErro : "" %>' >
			<label><liferay-ui:message key="admin.form.agendamento.data.divulgacao"/></label>	
			<div class="form-group">
	            <div class='input-group date' id='datepickeragendamento' style="width: 31%;">
	            	<input class="form-control" name="<portlet:namespace/>dataP" id="<portlet:namespace/>dataP"  onpaste="return false;" ondrop="return false;"/>
	                <span class="input-group-addon">
	                	<span class="glyphicon glyphicon-calendar"></span>
	            	</span>
	         	</div>
	         </div>
			<liferay-ui:error key="erroDataNula" message="Uma data deve ser selecionada." />
		</div>
		
		<aui:button-row>
			<aui:button type="reset" id="limparFormDO" name="limparFormDO" value="Limpar" />
			<aui:button type="submit" id="enviarFormDO" name="enviarFormDO" value="Gerar Caderno" />
			<aui:button type="button" id="jobForm" name="jobForm" class="oculto" style="display: none" value="no aperte" />
		</aui:button-row>
	</div>
	
</aui:form>

<portlet:resourceURL var="ocultoJob"><portlet:param name="parameter" value="jobOculto" /></portlet:resourceURL>

<portlet:resourceURL var="testAjaxResourceUrl"></portlet:resourceURL>

<script type="text/javascript">
	var urlAjax = "<%=testAjaxResourceUrl%>";
	var urlOculto = "<%=ocultoJob%>";
</script>