package mprj.doerj.caderno.application.list;

import com.liferay.application.list.BasePanelApp;
import com.liferay.application.list.PanelApp;
import com.liferay.portal.kernel.model.Portlet;

import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

import mprj.doerj.caderno.constants.MprjDoerjCadernoPortletKeys;
import mprj.doerj.caderno.constants.MprjDoerjCadernoWebPanelCategoryKeys;

/**
 * @author Bertasso
 */
@Component(
    immediate = true,
    property = {
        "panel.app.order:Integer=40",
        "panel.category.key=" + MprjDoerjCadernoWebPanelCategoryKeys.CONTROL_PANEL_CATEGORY
    },
    service = PanelApp.class
)

public class MprjDoerjCadernoPanelApp extends BasePanelApp {

	@Override
    public String getPortletId() {
        return MprjDoerjCadernoPortletKeys.MPRJDOERJCADERNO;
    }

    @Override
    @Reference(
        target = "(javax.portlet.name=" + MprjDoerjCadernoPortletKeys.MPRJDOERJCADERNO + ")",
        unbind = "-"
    )
    public void setPortlet(Portlet portlet) {
        super.setPortlet(portlet);
    }
}
